export interface SafeString {
    new (str: string): any;
    toString(): string;
}
export declare function safe(str: string): SafeString;
export declare function toLower(str: string): SafeString;
export declare function toUpper(str: string): SafeString;
export declare function camel(str: string): SafeString;
export declare function pascal(str: string): SafeString;
export declare function underscore(str: string): SafeString;
export declare function plural(str: string): SafeString;
export declare function singular(str: string): SafeString;
export declare function basename(str: string): SafeString;
export declare function dirname(str: string): SafeString;
export declare function literal(value: any): SafeString;
export declare function dedup(array: any[], path?: string): any[];
export declare function concat(...arrays: any[][]): any[];
export declare function filter(array: any[], path: string): any[];
